## hildon-thumbnail 0.11ubuntu1

=== doc/Makefile ===
# Makefile.in generated by automake 1.8.5 from Makefile.am.
# doc/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# This is a blank Makefile.am for using gtk-doc.
# Copy this to your project's API docs directory and modify the variables to
# suit your project. See the GTK+ Makefiles in gtk+/docs/reference for examples
# of using the various options.

srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/hildon-thumbnail
pkglibdir = $(libdir)/hildon-thumbnail
pkgincludedir = $(includedir)/hildon-thumbnail
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = x86_64-pc-linux-gnu
subdir = doc
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
am__installdirs = "$(DESTDIR)$(gtkdocpackagedir)"
gtkdocpackageDATA_INSTALL = $(INSTALL_DATA)
DATA = $(gtkdocpackage_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/tfheen/mobile/hildon-thumbnail/config/missing --run aclocal-1.8
AMDEP_FALSE = 
AMDEP_TRUE = #
AMTAR = ${SHELL} /home/tfheen/mobile/hildon-thumbnail/config/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/tfheen/mobile/hildon-thumbnail/config/missing --run autoconf
AUTOHEADER = ${SHELL} /home/tfheen/mobile/hildon-thumbnail/config/missing --run autoheader
AUTOMAKE = ${SHELL} /home/tfheen/mobile/hildon-thumbnail/config/missing --run automake-1.8
AWK = gawk
CC = x86_64-linux-gnu-gcc
CCDEPMODE = depmode=none
CFLAGS = -Wall -g -Werror -O2 -DOSSOLOG_COMPILE -Wall
CPP = x86_64-linux-gnu-gcc -E
CPPFLAGS = 
CXX = x86_64-linux-gnu-g++
CXXCPP = x86_64-linux-gnu-g++ -E
CXXDEPMODE = depmode=none
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
ENABLE_GTK_DOC_FALSE = #
ENABLE_GTK_DOC_TRUE = 
EXEEXT = 
F77 = 
FFLAGS = 
GCONF_CFLAGS = -DORBIT2=1 -pthread -I/usr/include/gconf/2 -I/usr/include/orbit-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GCONF_LIBS = -pthread -lgconf-2 -lORBit-2 -lgthread-2.0 -lrt -lgobject-2.0 -lglib-2.0  
GDK_PIXBUF_CFLAGS = -I/usr/include/gtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GDK_PIXBUF_LIBS = -lgdk_pixbuf-2.0 -lm -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GLIB_LIBS = -lglib-2.0  
GNOMEVFS_CFLAGS = -pthread -DORBIT2=1 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/orbit-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GNOMEVFS_LIBS = -pthread -lgnomevfs-2 -lgconf-2 -lgmodule-2.0 -ldl -lORBit-2 -lgthread-2.0 -lrt -lgobject-2.0 -lglib-2.0  
GTKDOC = true
HTML_DIR = ${datadir}/doc/html
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBOSSO_CFLAGS = -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
LIBOSSO_LIBS = -losso -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0  
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/tfheen/mobile/hildon-thumbnail/config/missing --run makeinfo
OBJEXT = o
PACKAGE = hildon-thumbnail
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PKG_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -pthread -DORBIT2=1 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/orbit-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/gtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -DORBIT2=1 -pthread -I/usr/include/gconf/2 -I/usr/include/orbit-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
PKG_CHECK = glib-2.0 >= 2.4.0, gnome-vfs-2.0 >= 2.4.0, gdk-pixbuf-2.0 >= 2.4.0, gconf-2.0 >= 2.4.0, libosso >= 0.9.19
PKG_CONFIG = /usr/bin/pkg-config
PKG_LIBS = -lglib-2.0   -pthread -lgnomevfs-2 -lgconf-2 -lgmodule-2.0 -ldl -lORBit-2 -lgthread-2.0 -lrt -lgobject-2.0 -lglib-2.0   -lgdk_pixbuf-2.0 -lm -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0   -pthread -lgconf-2 -lORBit-2 -lgthread-2.0 -lrt -lgobject-2.0 -lglib-2.0   -losso -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0  
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
VERSION = 0.11
ac_ct_AR = @ac_ct_AR@
ac_ct_CC = 
ac_ct_CXX = 
ac_ct_F77 = 
ac_ct_RANLIB = @ac_ct_RANLIB@
ac_ct_STRIP = @ac_ct_STRIP@
am__fastdepCC_FALSE = 
am__fastdepCC_TRUE = #
am__fastdepCXX_FALSE = 
am__fastdepCXX_TRUE = #
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = x86_64-linux-gnu
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
datadir = ${prefix}/share
docdir = ${datadir}/doc
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = x86_64-linux-gnu
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = /home/tfheen/mobile/hildon-thumbnail/config/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${prefix}/share/locale
localstatedir = ${prefix}/var
mandir = ${prefix}/share/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
prefix = /usr
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = /etc
target_alias = 

# The name of the module, e.g. 'glib'.
DOC_MODULE = osso-thumbnail

# The top-level SGML file. Change it if you want.
DOC_MAIN_SGML_FILE = $(DOC_MODULE)-docs.xml

# The directory containing the source code. Relative to $(srcdir).
# gtk-doc will search all .c & .h files beneath here for inline comments
# documenting functions and macros.
DOC_SOURCE_DIR = ../thumbs

# Extra options to pass to gtkdoc-scanobj or gtkdoc-scangobj.
SCANOBJ_OPTIONS = --type-init-func="gtk_type_init(0)"

# Extra options to supply to gtkdoc-scan.
SCAN_OPTIONS = 

# Header files to ignore when scanning.
IGNORE_HFILES = *private* config.h ut *md5*

# Files to ignore when making the DB.
IGNORE_FILES = $(IGNORE_HFILES)

# Extra options to supply to gtkdoc-mkdb.
MKDB_OPTIONS = --ignore-files="$(IGNORE_FILES)" --sgml-mode --output-format=xml

# Extra options to supply to gtkdoc-fixref.
FIXXREF_OPTIONS = 

# Used for dependencies.
HFILE_GLOB = $(top_srcdir)/thumbs/*.h
CFILE_GLOB = $(top_srcdir)/thumbs/*.c

# Images to copy into HTML directory.
HTML_IMAGES = 

# Extra SGML files that are included by $(DOC_MAIN_SGML_FILE).
content_files = 

# Other files to distribute.
extra_files = 

# CFLAGS and LDFLAGS for compiling scan program. Only needed if your app/lib
# contains GtkObjects/GObjects and you want to document signals and properties.
GTKDOC_CFLAGS = $(GTK_CFLAGS) -I$(top_srcdir) -I$(top_srcdir)/thumbs
GTKDOC_LIBS = $(GTK_LIBS) ../thumbs/libossothumbnail.la 
GTKDOC_CC = $(LIBTOOL) --mode=compile $(CC)
GTKDOC_LD = $(LIBTOOL) --mode=link $(CC)

# If you need to override some of the declarations, place them in the
# $(DOC_MODULE)-overrides.txt file and uncomment the second line here.
DOC_OVERRIDES = 
#DOC_OVERRIDES = $(DOC_MODULE)-overrides.txt

###########################################################################
# Everything below here is generic and you shouldn't need to change it.
###########################################################################
TARGET_DIR = $(HTML_DIR)/$(DOC_MODULE)
EXTRA_DIST = \
	$(content_files)		\
	$(extra_files)			\
	$(HTML_IMAGES)			\
	$(DOC_MAIN_SGML_FILE)		\
	$(DOC_MODULE).types		\
	$(DOC_OVERRIDES)

DOC_STAMPS = scan-build.stamp tmpl-build.stamp sgml-build.stamp html-build.stamp \
	   $(srcdir)/tmpl.stamp $(srcdir)/sgml.stamp $(srcdir)/html.stamp

SCANOBJ_FILES = \
	$(DOC_MODULE).args 	 \
	$(DOC_MODULE).hierarchy  \
	$(DOC_MODULE).interfaces \
	$(DOC_MODULE).prerequisites \
	$(DOC_MODULE).signals

gtkdocdir = $(docdir)
gtkdochtmldir = $(gtkdocdir)/html
gtkdocpackagedir = $(gtkdochtmldir)/$(DOC_MODULE)
gtkdocpackage_DATA = $(wildcard $(srcdir)/html/*.html)
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  doc/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  doc/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
install-gtkdocpackageDATA: $(gtkdocpackage_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(gtkdocpackagedir)" || $(mkdir_p) "$(DESTDIR)$(gtkdocpackagedir)"
	@list='$(gtkdocpackage_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(gtkdocpackageDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(gtkdocpackagedir)/$$f'"; \
	  $(gtkdocpackageDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(gtkdocpackagedir)/$$f"; \
	done

uninstall-gtkdocpackageDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(gtkdocpackage_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f '$(DESTDIR)$(gtkdocpackagedir)/$$f'"; \
	  rm -f "$(DESTDIR)$(gtkdocpackagedir)/$$f"; \
	done
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \

## hildon-thumbnail 0.9

=== debian/changelog ===
hildon-thumbnail (0.9) unstable; urgency=low

  * Folded into the Hildon family.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Tue, 24 Apr 2007 19:49:33 +0300

osso-thumbnail (0.8-2) unstable; urgency=low

  * Only put debugging symbols into -dbg package. 
  * Fixes: NB#N40543.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Thu, 19 Oct 2006 15:04:31 +0300

osso-thumbnail (0.8-1) unstable; urgency=low

  * Changed licenses to LGPL 2.1 (exactly) throughout.
  * Fixes: NB#41670, NB#40789.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Thu, 28 Sep 2006 12:27:52 +0300

osso-thumbnail (0.7-1) unstable; urgency=low

  * Cleaned up some commented code and corrected comments.
  * Added some missing const keywords (N#22811).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Sat, 03 Jun 2006 13:47:09 +0300

osso-thumbnail (0.6-2) unstable; urgency=low

  * Added dummy INSTALL, NEWS, README and AUTHORS files.
  * Removed document building because of xsltproc segfault.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 02 Jun 2006 15:06:17 +0300

osso-thumbnail (0.6-1) unstable; urgency=low

  * Removed *.la file dependencies because of building problems.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 02 Jun 2006 14:08:17 +0300

osso-thumbnail (0.5-1) unstable; urgency=low

  * Applied Marius' cropping patch (N#20849).
  * Fixed compilation warnings.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 27 Feb 2006 12:42:49 +0200

osso-thumbnail (0.4-2) unstable; urgency=low

  * Re-run autoconf.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 07 Feb 2006 14:23:49 +0200

osso-thumbnail (0.4-1) unstable; urgency=low

  * Changed the maintainer and version numbering.
  * Small fixes to debian/copyright and dependencies.
  * Re-run automake-1.7.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 01 Feb 2006 11:45:12 +0200

osso-thumbnail (0.3.10-2dbus-0.60) unstable; urgency=low

  * Increased version number.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 05 Jan 2006 15:57:09 +0200

osso-thumbnail (0.3.10-2) unstable; urgency=low

  * osso-thumbnail    : updated maintainer's name
  * osso-thumbnail    : updated dependency on osso-thumbnail0
  * osso-thumbnail-dev: added dependency on libosso-dev 

 -- Luc Pionchon <luc.pionchon@nokia.com>  Tue, 25 Oct 2005 19:24:09 +0300

osso-thumbnail (0.3.10-1) unstable; urgency=low

  * Bug fixed:
    N#20773 Thumbnailer causes system reboot due to resources consumption.
            (fix attempt)

 -- Luc Pionchon <luc.pionchon@nokia.com>  Mon, 24 Oct 2005 11:00:27 +0300

osso-thumbnail (0.3.9-3) unstable; urgency=high

  * corrected build dependency

 -- Luc Pionchon <luc.pionchon@nokia.com>  Thu, 13 Oct 2005 17:50:51 +0300

osso-thumbnail (0.3.9-2) unstable; urgency=high

  * corrected build dependency

 -- Luc Pionchon <luc.pionchon@nokia.com>  Thu, 13 Oct 2005 15:44:00 +0300

osso-thumbnail (0.3.9-1) unstable; urgency=low

  * control: added dependency check for libosso

  * Bug fixed:
    N#20238 - Thumbnailer causes system crashes on large images

 -- Luc Pionchon <luc.pionchon@nokia.com>  Wed, 12 Oct 2005 18:38:50 +0300

osso-thumbnail (0.3.8-1) unstable; urgency=low

  * Bug fixed:
    N#18831, reduce number of concurent thumbnailer processes to one
	     (memory consumption)

 -- Luc Pionchon <luc.pionchon@nokia.com>  Wed, 14 Sep 2005 12:57:29 +0300

osso-thumbnail (0.3.7-1) unstable; urgency=low

  * fixes N#18831 [memory] Number of concurent thumbnailer processes could be
    reduced from two to one.

 -- Luc Pionchon <luc.pionchon@nokia.com>  Fri,  9 Sep 2005 13:31:08 +0300

osso-thumbnail (0.3.6-1) unstable; urgency=low

  * Fixed #15028: Thumbnails are not shown for duplicate files
  * osso-thumbnail-factory.c:
  * - now updating thumbs from a source file (like in case of
    duplicating or renaming), keeps the mp3 options present in the
    original thumbnail
  * thumbs-private.h:
  * - added macro definitions for some strings

 -- Nokia <nokia>  Fri,  5 Aug 2005 15:40:46 +0300

osso-thumbnail (0.3.5-1) unstable; urgency=low

  * Changed thumbnail configuration to cover some issues found
  * configure.ac: increased maximum resolution into 2048x1536
  * debian/osso-thumbnail0.postinst: added registration of sketch/png
    mime type

 -- Nokia <nokia>  Mon, 18 Jul 2005 15:42:44 +0300

osso-thumbnail (0.3.4-1) unstable; urgency=low

  * Added proper copyrights

 -- Nokia <nokia>  Thu, 26 May 2005 09:46:18 +0300

osso-thumbnail (0.3.3-1) unstable; urgency=low

  * Fixed #11274: Browser crashed on opening the file selection widget
  * thumber-gdk-pixbuf.c:
  * - If image width or height is larger than configured one, don't try
    to crop/scale image.
  * configure.ac:
  * - Added --with-max-image-size

 -- Nokia <nokia>  Fri, 13 May 2005 14:40:47 +0300

osso-thumbnail (0.3.2-1) unstable; urgency=low

  * Fixed #11133: File selection widget crash, crashed the Task
    Navigator
  * Modified: tests.c,osso-thumbnail-factory.c
  * Added gtk-doc-tools to builddep. Requested by Riku Voipio

 -- Nokia <nokia>  Wed, 11 May 2005 11:08:04 +0300

osso-thumbnail (0.3.1-1) unstable; urgency=low

  * Added exact version dependency from -dev to thumbnail0

 -- Nokia <nokia>  Sat, 12 Mar 2005 17:59:12 +0200

osso-thumbnail (0.3.0-1) unstable; urgency=low

  * Add flags, mime type and error to thumbnailer interface
  
  * Bugfix if item is double canceled
  
 -- Nokia <nokia>  Wed, 9 Mar 2005 14:00:00 +0200

osso-thumbnail (0.2.0-1) unstable; urgency=low

  * Change of thumber interface to use pixbuf options
  
 -- Nokia <nokia>  Tue, 8 Mar 2005 20:00:00 +0200

osso-thumbnail (0.1.0-1) unstable; urgency=low

  * Factoring of common thumber code to library
  
  * Thumber registering tool

 -- Nokia <nokia>  Tue, 1 Mar 2005 00:00:00 +0200

osso-thumbnail (0.0.4-1) unstable; urgency=low

  * Initial release of the Thumbnail library.

 -- Nokia <nokia>  Fri, 29 Jan 2005 13:00:00 +0200

=== debian/control ===
Source: hildon-thumbnail
Section: libs
Priority: optional
Maintainer: Marius Vollmer <marius.vollmer@nokia.com>
Build-Depends: debhelper (>= 4.0.0), pkg-config, libosso-gnomevfs2-dev, libgtk2.0-dev, gtk-doc-tools, libosso-dev
Standards-Version: 3.6.0

Package: hildon-thumbnail
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libhildon-thumbnail0 (= ${Source-Version})
Recommends: osso-thumbnailer-libid3 (>= 0.3.0)
Conflicts: osso-thumbnail
Replaces: osso-thumbnail
Provides: osso-thumbnail
Description: Thumbnail library related programs.
 Contains hildon-thumb-gdk-pixbuf and hildon-thumber-register programs.

Package: libhildon-thumbnail0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: osso-thumbnail0, osso-thumbnail-libid3 (<< 0.3.0)
Replaces: osso-thumbnail0
Description: Thumbnail library.

Package: libhildon-thumbnail0-dbg
Section: devel
Architecture: any
Depends: libhildon-thumbnail0 (= ${Source-Version})
Description: Debug symbols for libhildon-thumbnail0

Package: libhildon-thumbnail-dev
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libhildon-thumbnail0 (= ${Source-Version}), libosso-gnomevfs2-dev, libgtk2.0-dev, libosso-dev
Description: libhildon-thumbnail0 development files.

## hildon-thumbnail 0.10

=== debian/changelog ===
hildon-thumbnail (0.10) unstable; urgency=low

  * Don't let libhildon-thumbnail0 conflict with osso-thumbnail0.  This is
    not necessary and complicates the transition.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Tue, 24 Apr 2007 21:36:26 +0300

=== debian/control ===
--- 
+++ 
@@ -20,8 +20,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: osso-thumbnail0, osso-thumbnail-libid3 (<< 0.3.0)
-Replaces: osso-thumbnail0
+Conflicts: osso-thumbnail0 (<< 0.3.0), osso-thumbnail-libid3 (<< 0.3.0)
 Description: Thumbnail library.
 
 Package: libhildon-thumbnail0-dbg

## hildon-thumbnail 0.11

=== debian/changelog ===
hildon-thumbnail (0.11) unstable; urgency=low

  * Use a real osso-thumbnail transitional package instead of a Provides
    in hildon-thumbnail.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Wed, 25 Apr 2007 16:05:24 +0300

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,16 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libhildon-thumbnail0 (= ${Source-Version})
 Recommends: osso-thumbnailer-libid3 (>= 0.3.0)
-Conflicts: osso-thumbnail
-Replaces: osso-thumbnail
-Provides: osso-thumbnail
+Conflicts: osso-thumbnail (<< 0.11)
+Replaces: osso-thumbnail (<< 0.11)
 Description: Thumbnail library related programs.
  Contains hildon-thumb-gdk-pixbuf and hildon-thumber-register programs.
+
+Package: osso-thumbnail
+Section: libs
+Architecture: any
+Depends: hildon-thumbnail
+Description: Transitional package for hildon-thumbnail
 
 Package: libhildon-thumbnail0
 Section: libs

## hildon-thumbnail 0.11ubuntu1

=== debian/changelog ===
hildon-thumbnail (0.11ubuntu1) gutsy; urgency=low

  * use %p rather than %08X for printing pointers, fixes FTBFS on amd64.
  * Fix duplicate depends on libhildon-thumbnail0 from hildon-thumbnail.
  * Fix copyright notices in debian/copyright
  * Remove obsolete stuff from debian/rules.
  * Bump debhelper version to 5.
  * Adjust dh_strip call for debhelper 5.
  * Add a bit to the description
  * Remove obsolete osso-thumbnail package.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Tue, 22 May 2007 09:25:37 +0200

=== debian/control ===
Source: hildon-thumbnail
Section: libs
Priority: optional
Maintainer: Marius Vollmer <marius.vollmer@nokia.com>
Build-Depends: debhelper (>= 5.0.0), pkg-config, libgnomevfs2-dev, libgtk2.0-dev, gtk-doc-tools, libosso-dev
Standards-Version: 3.6.0

Package: hildon-thumbnail
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: osso-thumbnailer-libid3 (>= 0.3.0)
Conflicts: osso-thumbnail (<< 0.11)
Replaces: osso-thumbnail (<< 0.11)
Description: Thumbnail library related programs
 libhildon-thumbnail is a thumbnail-generating and -managing helper
 library for hildon.
 .
 This package contains hildon-thumb-gdk-pixbuf and
 hildon-thumber-register programs.

Package: libhildon-thumbnail0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: osso-thumbnail0 (<< 0.3.0), osso-thumbnail-libid3 (<< 0.3.0)
Description: Thumbnail library - runtime files
 libhildon-thumbnail is a thumbnail-generating and -managing helper
 library for hildon.
 .
 This package contains the runtime library

Package: libhildon-thumbnail0-dbg
Section: devel
Architecture: any
Depends: libhildon-thumbnail0 (= ${Source-Version})
Description: Thumbnail library - debug symbols
 libhildon-thumbnail is a thumbnail-generating and -managing helper
 library for hildon.
 .
 This package contains the debug symbols.

Package: libhildon-thumbnail-dev
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libhildon-thumbnail0 (= ${Source-Version}), libgnomevfs2-dev, libgtk2.0-dev, libosso-dev
Description: Thumbnail library - development files
 libhildon-thumbnail is a thumbnail-generating and -managing helper
 library for hildon.
 .
 This package contains the header files and other bits needed for
 developing with libhildon-thumbnail

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g -Werror

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --sysconfdir=/etc --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-dependency-tracking


build: build-stamp
build-stamp:  config.status
	dh_testdir

# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif

	rm -rf debian/build
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

# Add here commands to install the package into debian/build
	$(MAKE) install DESTDIR=$(CURDIR)/debian/build

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
#	dh_installexamples
	dh_installdocs
	dh_install --sourcedir=debian/build -v
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip --dbg-package="libhildon-thumbnail0-dbg"
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## hildon-thumbnail 0.12

=== debian/changelog ===
hildon-thumbnail (0.12) unstable; urgency=low

  * Applied patch to use Libosso saw functions. Fixes: NB#63712
  * Read four bytes at a time, instead of one byte, in thumber-gdk-pixbuf.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 10 Aug 2007 14:28:59 +0300

## hildon-thumbnail 0.13

=== debian/changelog ===
hildon-thumbnail (0.13) unstable; urgency=low

  * Added Glib thread initialisation. Fixes: NB#62806
  * Now OOM handler simply exits because the thumbnailer was still jamming
    sometimes with Daniil's patch. Fixes: NB#63712

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 10 Aug 2007 15:13:11 +0300

## hildon-thumbnail 0.13-1

=== debian/changelog ===
hildon-thumbnail (0.13-1) unstable; urgency=low

  * Fixed some lintian warnings. Fixes: NB#44044

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 10 Aug 2007 16:19:45 +0300

=== debian/control ===
Source: hildon-thumbnail
Section: libs
Priority: optional
Maintainer: Marius Vollmer <marius.vollmer@nokia.com>
Build-Depends: debhelper (>= 4.0.0), pkg-config, libosso-gnomevfs2-dev, libgtk2.0-dev, gtk-doc-tools, libosso-dev
Standards-Version: 3.6.0

Package: hildon-thumbnail
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: osso-thumbnailer-libid3 (>= 0.3.0)
Conflicts: osso-thumbnail (<< 0.11)
Replaces: osso-thumbnail (<< 0.11)
Description: Thumbnail library related programs.
 Contains hildon-thumb-gdk-pixbuf and hildon-thumber-register programs.

Package: osso-thumbnail
Section: libs
Architecture: any
Depends: hildon-thumbnail
Description: Transitional package for hildon-thumbnail
 Contains transitional package for hildon-thumbnail.

Package: libhildon-thumbnail0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: osso-thumbnail0 (<< 0.3.0), osso-thumbnail-libid3 (<< 0.3.0)
Description: Thumbnail library.
 Contains the thumbnail library.

Package: libhildon-thumbnail0-dbg
Section: devel
Architecture: any
Depends: libhildon-thumbnail0 (= ${Source-Version})
Description: Debug symbols for libhildon-thumbnail0
 Contains debug symbols for libhildon-thumbnail0.

Package: libhildon-thumbnail-dev
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libhildon-thumbnail0 (= ${Source-Version}), libosso-gnomevfs2-dev, libgtk2.0-dev, libosso-dev
Description: libhildon-thumbnail0 development files.
 Contains libhildon-thumbnail0 development files.

## hildon-thumbnail 0.13-2

=== debian/changelog ===
hildon-thumbnail (0.13-2) unstable; urgency=low

  * Make hildon-thumbnail again depend on libhildon-thumbnail0 (=
    ${Source-Version}) since hildon-thumber-register uses thumbs-private.h

 -- Marius Vollmer <marius.vollmer@nokia.com>  Mon, 13 Aug 2007 17:28:43 +0300

## hildon-thumbnail 0.14

=== debian/changelog ===
hildon-thumbnail (0.14) unstable; urgency=low

  * Fixes: NB#63712.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Thu, 30 Aug 2007 19:40:02 +0300

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: hildon-thumbnail
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libhildon-thumbnail0 (= ${Source-Version})
 Recommends: osso-thumbnailer-libid3 (>= 0.3.0)
 Conflicts: osso-thumbnail (<< 0.11)
 Replaces: osso-thumbnail (<< 0.11)

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,15 @@
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
 endif
+
+# shared library versions, option 1
+version=2.0.5
+major=2
+# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
+#version=`ls src/.libs/lib*.so.* | \
+# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
+#major=`ls src/.libs/lib*.so.* | \
+# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`
 
 config.status: configure
 	dh_testdir
@@ -88,7 +97,7 @@
 #	dh_installinfo
 	dh_installman
 	dh_link
-	dh_strip --dbg-package="libhildon-thumbnail0-dbg"
+	dh_strip --dbg-package="libhildon-thumbnail0"
 	dh_compress
 	dh_fixperms
 #	dh_perl

## hildon-thumbnail 3.0.41+0m5

=== debian/changelog ===
hildon-thumbnail (3.0.41+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kojo Aapo <aapo.kojo@nokia.com>  Mon, 21 Sep 2009 13:46:35 +0300

hildon-thumbnail (3.0.41) unstable; urgency=low

  [Mikael Ottela]
  * Fixes: NB#137433 - Video thumbnails are distorted.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Thu, 17 Sep 2009 13:59:15 +0300

hildon-thumbnail (3.0.40) unstable; urgency=low

  [Mikael Ottela]
  * Fixes: NB#137433 - Video thumbnails are distorted.

  [Philip Van Hoof]
  * Memory leak fixed in hildon_thumbnail_is_cached.
  
 -- Marius Vollmer <marius.vollmer@nokia.com>  Tue, 08 Sep 2009 13:15:04 +0300

hildon-thumbnail (3.0.39) unstable; urgency=low

  [Tim-Philipp Müller]
  * Helps-Fixing: NB#123682 - Video thumbnails appear black due to wrong
                              timestamps.

  [Alban Crequy]
  * Fixes: NB#132665 - hildon-thumbnailerd subscribe too D-Bus signal too
                       broadly
  
 -- Marius Vollmer <marius.vollmer@nokia.com>  Thu, 13 Aug 2009 14:53:55 +0300

hildon-thumbnail (3.0.38) unstable; urgency=low

  [Philip Van Hoof]
  * Fixes: NB#126843, setting mtime
  * Fixes: NB#128505, thumbnail sketch.png files
  * Fixes: NB#129014, wrong GType for signal registration

 -- Marius Vollmer <marius.vollmer@nokia.com>  Tue, 28 Jul 2009 17:39:44 +0300

hildon-thumbnail (3.0.37) unstable; urgency=low

  [Philip Van Hoof]
  * Fixes: NB#129172 - Album art not resizing properly in Music Library
    views for this album.

  [Mikael Ottela]
  * Robustness improvements for the vido thumbnailer.
  
 -- Marius Vollmer <marius.vollmer@nokia.com>  Tue, 28 Jul 2009 14:11:22 +0300

hildon-thumbnail (3.0.36) unstable; urgency=low

  * Fixes: NB#126856 - Thumbnail is not created for small file.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Mon, 13 Jul 2009 19:10:56 +0300

hildon-thumbnail (3.0.35) unstable; urgency=low

  * Fixes: NB#124502 - Found thumbnailerd crash at pad_added_group_cb while video playing in FSM
  * Removed the google-album-art downloader from the package
  * Added libjpeg62-dev as build dependency
	
 -- Mikael Ottela <mikael.ottela@ixonos.com>  Thu, 2 Jul 2009 16:05:00 +0300

hildon-thumbnail (3.0.34) unstable; urgency=low

  * Fix the build fixes.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Tue, 16 Jun 2009 17:59:39 +0300

hildon-thumbnail (3.0.33) unstable; urgency=low

  * Build system fixes.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Tue, 16 Jun 2009 17:15:48 +0300

hildon-thumbnail (3.0.32) unstable; urgency=low

  [Philip Van Hoof]
  * Fixes: NB#118963 - Size of cropped thumbnail is larger than 124x12.
  * Fixes: NB#105592 - Thumbnails not displayed in video library view.
  * Fixes: NB#121200 - Device rebooting after launching image viewer application.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Mon, 15 Jun 2009 19:21:59 +0300

hildon-thumbnail (3.0.31) unstable; urgency=low

  [Mikael Ottela]
  * Fixes: NB#121043 - gst-video-thumbnailerd is crashing when trying to make
                       thumbnails at least from avi or mp4 files.

  [Philip Van Hoof]
  * Fixes: NB#120328 - oom_adj value in thumbnailer shall be updated
  
 -- Marius Vollmer <marius.vollmer@nokia.com>  Mon, 08 Jun 2009 14:07:26 +0300

hildon-thumbnail (3.0.30) unstable; urgency=low

  * Bugfixes.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Mon, 01 Jun 2009 16:54:05 +0300

hildon-thumbnail (3.0.29) unstable; urgency=low

  [Philip Van Hoof]
  * Fixes: NB#118963 - Size of cropped thumbnail is larger than 124x124.
  * Fixes: NB#116170 - Another memory leak in libhildon-thumbnail0.
  
  [Mikael Ottela]
  * Fixes: NB#117460 - hildon-thumbnailer: Missing .service file, [...]

  [Marius Vollmer]
  * Build-Depend on libexif-dev.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Wed, 27 May 2009 17:16:47 +0300

hildon-thumbnail (3.0.28) unstable; urgency=low

  * Don't include generated service files in distribution to make sure
    that they are actually generated during build.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Mon, 25 May 2009 19:00:33 +0300

hildon-thumbnail (3.0.27) unstable; urgency=low

  [Philip Van Hoof]
  * Fixes: NB#117799 - Cropped Thumbnails are squeezed.
  * Fixes: NB#117288 - hildon-thumbnailer emits Error signal on
                       repeated Queue request for not-broken image
  [Mikael Ottela]
  * Fixed the thumbnail extension and added unmount handling.
  * Fixes: NB#117460 - hildon-thumbnailer: Missing .service file, wrong
    exec path in dbus service file, incorrect thumbnail extension and a
    cross-check for libplayback call.
  
  [Marius Vollmer]
  * Build-Depend on libplayback-1-dev.
  * Include service file for video thumbnailer in /usr/share/thumbnailers.
  * Fixes: NB#117460 - hildon-thumbnailer: Missing .service file, wrong
    exec path in dbus service file, incorrect thumbnail extension and a
    cross-check for libplayback call.
  
 -- Marius Vollmer <marius.vollmer@nokia.com>  Fri, 15 May 2009 18:17:08 +0300

hildon-thumbnail (3.0.26) unstable; urgency=low

  [Mikael Ottela]
  * Fixes to the video thumbnailer.
  
  [Philip Van Hoof]
  * Fixes: NB#114559 - Tracker does not do thumbnails to extracted album arts.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Fri, 15 May 2009 18:08:15 +0300

hildon-thumbnail (3.0.25) unstable; urgency=low

  [Mikael Ottela]
  * New video thumbnailer.
  
  [Philip Van Hoof]
  * Fixes: NB116353 - hildon-thumbnailer: last-in requests (Queue) are not
    serviced first.
  * Other fixes.

  [Marius Vollmer]
  * Fixes: NB#114780 - hildon-thumbnailerd wakes up too often.
  * Remove albumart provider from hildon-thumbnail package and put it into
    the new google-images-albumart-provider package.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Wed, 06 May 2009 20:18:44 +0300

hildon-thumbnail (3.0.24) unstable; urgency=low

  [Philip Van Hoof]
  * Fixes: NB#113093 - memory leak in libhildon-thumbnail0


## hildon-thumbnail 3.0.43+0m5

=== debian/changelog ===
hildon-thumbnail (3.0.43+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Goel Lokesh Kumar <ext-lokesh.k.goel@nokia.com>  Fri, 23 Oct 2009 17:10:33 +0300

hildon-thumbnail (3.0.43) unstable; urgency=low

  [Mikael Ottela]
  * Manual memory management madness misery.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Wed, 21 Oct 2009 12:31:52 +0300

hildon-thumbnail (3.0.42) unstable; urgency=low

  [Mikael Ottela]
  * Fixes: NB#129326, gst-video-thumbnailer prevents mass storage mode 
  * Fixes: NB#126579, GLIB CRITICAL ** default - dbus_g_proxy_disconnect_signal:
    assertion `DBUS_IS_G_PROXY (proxy)' failed
  * Fixes: NB#142798 - Memory leaks in hildon-thumbnailer

 -- Marius Vollmer <marius.vollmer@nokia.com>  Thu, 15 Oct 2009 16:31:12 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Marius Vollmer <marius.vollmer@nokia.com>
-Build-Depends: debhelper (>= 4.0.0), pkg-config, libosso-gnomevfs2-dev, libgtk2.0-dev, gtk-doc-tools, libosso-dev
+Build-Depends: debhelper (>= 4.0.0), pkg-config, libosso-gnomevfs2-dev, libgtk2.0-dev, gtk-doc-tools, libosso-dev, libglib2.0-dev (>= 2.16), libsqlite3-dev, libepeg0-dev, libgstreamer0.10-dev, libhal-dev (>= 0.5), libhal-storage-dev, libplayback-1-dev, libexif-dev, libjpeg62-dev
 Standards-Version: 3.6.0
 
 Package: hildon-thumbnail
@@ -43,3 +43,4 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, libhildon-thumbnail0 (= ${Source-Version}), libosso-gnomevfs2-dev, libgtk2.0-dev, libosso-dev
 Description: libhildon-thumbnail0 development files.
  Contains libhildon-thumbnail0 development files.
+

## hildon-thumbnail 3.0.44%2b0m5

=== debian/changelog ===
hildon-thumbnail (3.0.44+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Gary Birkett <ext-gary.2.birkett@nokia.com>  Thu, 28 Jan 2010 16:20:09 +0200

hildon-thumbnail (3.0.44) unstable; urgency=low

  [Mikael Ottela]
  * Fixes: NB#129326: gst-video-thumbnailer prevents mass storage mode
  * Fixes: NB#103061: Thumbnail of replaced image is not updated
  * Fixes: NB#145376: hildon-thumbnail leak in ThumbsCacheFile->errors
  * Fixes: NB#128060: Crash observed while opening the copied folder in
    grid view from filter by folder sub dialog
  * Fixes: NB#147372: Thumbnailing keeps on being broken

 -- Mikael Ottela <mikael.ottela@ixonos.com>  Tue, 26 Jan 2010 18:27:52 +0300
